Yêu cầu cấu hình Elementor để tránh phát sinh lỗi

Yêu cầu cấu hình Elementor để tránh phát sinh lỗi

Hiện tại có rất nhiều lỗi phát sinh do plugin, do máy chủ, do database, do version php của bạn… Hãy kiểm tra kĩ trước khi cài đặt Elementor. Bởi vì, nếu bạn cứ cắm mắt cắm mũi cài đặt thì rất có thể nó không hoạt động. Nên kiểm tra các thông tin dưới đây nếu web của bạn phát sinh lỗi với elementor nhé.

Mục tiêu chính của chúng tôi tại Elementor là tạo ra trình tạo trang nhanh nhất, tiên tiến nhất cho WordPress.
Để đạt được điều này, chúng tôi đảm bảo rằng nó dựa trên công nghệ mới nhất hiện có.Dưới đây là các yêu cầu hệ thống bạn cần để sử dụng Elementor.
(Nếu bạn không chắc máy chủ của mình có hỗ trợ việc này hay không, hãy liên hệ với máy chủ của bạn).

Yêu cầu cấu hình Elementor để tránh phát sinh lỗi

WordPress 4.7 trở lên

Elementor hoạt động với phiên bản WordPress 4.7 trở lên

PHP 7 hoặc cao hơn

Lưu ý: Nếu trang web của bạn được lưu trữ trên máy chủ có PHP cũ hơn, bạn có thể gặp sự cố. Chúng tôi khuyên bạn nên liên hệ với nhà cung cấp dịch vụ lưu trữ của mình để nâng cấp lên phiên bản PHP mới nhất .

Elementor cũng có thể hoạt động với PHP 5.4+, nhưng các phiên bản cũ hơn này đã đạt đến End Of Life chính thức và do đó có thể khiến trang web của bạn gặp các lỗ hổng bảo mật và lỗi và có thể không hoạt động như mong đợi.

Các bạn chú ý nhé. Php 7 nhanh hơn bản php 5.6 gần 4 lần đấy. Cố gắng mà nâng cấp lên nha. Mình sẽ chèn link hướng dẫn bài đó ngay dưới đây. Nếu mình chưa chèn. hãy comment phía dưới để mình cập nhật ngay nhé. Nhiều khi cũng bận nên quên thôi.

MySQL 5.6 trở lên

Cái này thì nên cài đặt trong file wp-config.php nhé cả nhà, Vì dung lượng upload ngày một tăng theo thời đại mới. Trước đây mình thấy 64Mb đã to vào giai đoạn 2012, thế mà 2 năm sau tức 2014 nó đã yêu cầu lên 128 rồi. Do nhiều ứng dụng nó cần nguồn tài nguyên lớn. Cứ thế mà chỉnh thôi.

Phiên bản MySQL 5.6 trở lên HOẶC MariaDB phiên bản 10.0 trở lên

Giới hạn bộ nhớ WP

Giới hạn bộ nhớ WP từ 128 MB trở lên (ưu tiên 256 MB trở lên)

Để đọc thêm kiểm tra  ở đây

Trình duyệt

Xin lưu ý rằng bạn phải sử dụng các trang Chrome, Firefox hoặc Safari để  EDIT với Elementor. Bạn sẽ không thể chỉnh sửa bằng Microsoft Edge và Microsoft Internet Explorer, nhưng tất nhiên các trang của bạn được xây dựng bằng Elementor sẽ hiển thị như được thiết kế trong tất cả các trình duyệt hiện đại. Hầu hết các tính năng sẽ hiển thị đúng trong IE nhưng vì IE là trình duyệt cũ hơn nên không thể hỗ trợ một số công nghệ web hiện đại mà Elementor có thể sử dụng cho một số tính năng của nó.

Thiết bị

Hiện tại không thể chỉnh sửa bằng điện thoại di động và máy tính bảng. Bạn chỉ có thể chỉnh sửa các trang với Elementor trên máy tính để bàn.

Máy chủ

Nếu trang web của bạn được lưu trữ bởi WP Engine, bạn có thể cần thêm SSL vào trang web của mình để tránh các vấn đề liên quan đến lưu trữ.

Nếu bạn sử dụng SiteGround hoặc GoDaddy, hãy đảm bảo rằng họ sửa đổi SubsternMaxLineLpm của máy chủ của bạn cho bạn:  https://docs.elementor.com/article/219-502-error-when-i-try-to-edit-with- yếu tố

X Frame Option

Nó phải được đặt thành “cùng nguồn gốc” để tránh  các vấn đề chỉnh sửa . Hãy yêu cầu các đơn vị hosting hoặc Server của bạn làm điều này cho bạn.

Phần mở rộng PHP Z-Lib

Tốt hơn là nên bật tiện ích mở rộng Zlib PHP trên máy chủ của bạn. Vui lòng yêu cầu nhà cung cấp dịch vụ hosting, server của bạn kích hoạt tính năng này cho bạn.

Trên đây là tổng quan rất nhiều yếu tố ảnh hưởng tới việc hoạt động cũng như hiệu suất sử dụng trang web dùng Elementor. Các bạn nên chú ý để tránh những trường hợp bi đát. Mình trước cũng vậy. Làm xong hết rồi, nhấp lưu không được là tèo. Web mình làm đều nâng cấp php lên 7.2. Chạy cứ vèo vèo. Các bạn nên chú ý để web của mình hoạt động trơn tru và hiệu quả hơn.

Leave a Reply

avatar
  Subscribe  
Notify of
Hotline: 0974.0707.83(Zalo/Viber)